curl -X PATCH https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"label": "Updated Office Door",
"payload": {
"url": "https://acme.com/new-destination"
}
}'
await fetch('https://nearnode.io/api/v1/nodes/k9m2xp4q', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({
label: 'Updated Office Door',
payload: {
url: 'https://acme.com/new-destination',
},
}),
});
import requests
requests.patch(
"https://nearnode.io/api/v1/nodes/k9m2xp4q",
headers={"Authorization": "Bearer sk_live_..."},
json={
"label": "Updated Office Door",
"payload": {
"url": "https://acme.com/new-destination",
},
},
)
{
"data": {
"id": "node_abc123...",
"slug": "k9m2xp4q",
"label": "Updated Office Door",
"url": "https://nearnode.io/v/k9m2xp4q",
"function_type": "redirect",
"payload": {
"url": "https://acme.com/new-destination"
},
"status": "active"
}
}
Nodes
Update Node
Update a node’s label, payload, or status.
PATCH
/
api
/
v1
/
nodes
/
{slug}
curl -X PATCH https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"label": "Updated Office Door",
"payload": {
"url": "https://acme.com/new-destination"
}
}'
await fetch('https://nearnode.io/api/v1/nodes/k9m2xp4q', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({
label: 'Updated Office Door',
payload: {
url: 'https://acme.com/new-destination',
},
}),
});
import requests
requests.patch(
"https://nearnode.io/api/v1/nodes/k9m2xp4q",
headers={"Authorization": "Bearer sk_live_..."},
json={
"label": "Updated Office Door",
"payload": {
"url": "https://acme.com/new-destination",
},
},
)
{
"data": {
"id": "node_abc123...",
"slug": "k9m2xp4q",
"label": "Updated Office Door",
"url": "https://nearnode.io/v/k9m2xp4q",
"function_type": "redirect",
"payload": {
"url": "https://acme.com/new-destination"
},
"status": "active"
}
}
Path Parameters
The node’s unique slug.
Body
Update the internal display name.
Change the payload type. One of
redirect, vcard, wifi, microsite, digital_card, action.Update the type-specific payload configuration. Merges with the existing payload — send only the fields you want to change.
Update lifecycle status. One of
active, paused, retired.curl -X PATCH https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"label": "Updated Office Door",
"payload": {
"url": "https://acme.com/new-destination"
}
}'
await fetch('https://nearnode.io/api/v1/nodes/k9m2xp4q', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({
label: 'Updated Office Door',
payload: {
url: 'https://acme.com/new-destination',
},
}),
});
import requests
requests.patch(
"https://nearnode.io/api/v1/nodes/k9m2xp4q",
headers={"Authorization": "Bearer sk_live_..."},
json={
"label": "Updated Office Door",
"payload": {
"url": "https://acme.com/new-destination",
},
},
)
{
"data": {
"id": "node_abc123...",
"slug": "k9m2xp4q",
"label": "Updated Office Door",
"url": "https://nearnode.io/v/k9m2xp4q",
"function_type": "redirect",
"payload": {
"url": "https://acme.com/new-destination"
},
"status": "active"
}
}
⌘I